package com.ycwl.basic.profitsharing.entity;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class ProfitSharingRecord {
    private Long id;
    private Long scenicId;
    private Long orderId;
    private Long userId;
    private String userName;
    private BigDecimal amount;
    private BigDecimal wxAmount;
    private BigDecimal manualAmount;
    private Integer rateMode; // 微信分账比例
    private BigDecimal wxRate; // 微信分账比例
    private BigDecimal realRate; // 实际分账比例
    private BigDecimal orderAmount; // 订单金额
    private Integer status;
    private Date createTime;
}