package com.ycwl.basic.model.mobile.weChat.DTO;


import lombok.Data;

/**
 * @Author: songmingsong
 * @CreateTime: 2024-12-05
 * @Description: 修改微信用户信息
 * @Version: 1.0
 */
@Data
public class WeChatUserInfoUpdateDTO {
    /**
     * 头像
     */
    private String avatarUrl;
    /**
     * 微信昵称
     */
    private String nickname;
    /**
     * 是否同意用户协议，1同意0未同意
     */
    private Integer agreement;
}
