package com.ycwl.basic.model.pc.coupon.resp;

import lombok.Data;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class CouponRespVO {
    private Integer id;
    private Long scenicId;
    private String scenicName;
    
    // 新增优惠券名称字段
    private String name;
    
    /**
     * 优惠券类别，0：普通优惠券；1：第一次推送；2：第二次；3：第三次
     */
    private Integer type;
    /**
     * 价格配置ID，逗号分隔字符串
     */
    private String configIds;
    /**
     * 0降价，1打折
     */
    private Integer discountType;
    private BigDecimal discountPrice;
    /**
     * 状态：0不开启；1开启
     */
    private Integer status;
    private Date createAt;
}